import { HTTPConstructorOptions } from "../types.js";
export declare class SurrealHTTP<TFetcher = typeof fetch> {
    private url;
    private authorization?;
    private fetch;
    namespace?: string;
    database?: string;
    constructor(url: string, { fetch: f }?: HTTPConstructorOptions<TFetcher>);
    ready(): boolean;
    setTokenAuth(token: string): void;
    clearAuth(): void;
    request<T = unknown>(path: string, options?: {
        method?: "GET" | "POST" | "PUT" | "PATCH" | "DELETE";
        plainBody?: boolean;
        body?: Record<string, unknown> | string;
        searchParams?: URLSearchParams;
    }): Promise<T>;
}
