"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.processAuthVars = void 0;
const isNil_js_1 = require("./isNil.js");
function processAuthVars(vars, fallback) {
    if ("scope" in vars) {
        if (!vars.namespace)
            vars.namespace = fallback?.namespace;
        if (!vars.database)
            vars.database = fallback?.database;
        if ((0, isNil_js_1.isNil)(vars.namespace)) {
            throw new Error("No namespace was specified!");
        }
        if ((0, isNil_js_1.isNil)(vars.database))
            throw new Error("No database was specified!");
    }
    return vars;
}
exports.processAuthVars = processAuthVars;
//# sourceMappingURL=processAuthVars.js.map